#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	int note, result;

	printf("Veuillez donner votre note du Bac : ");
	result = scanf("%d", &note);
	
	if (result == 1) {
		if (note >= 16) {
			printf("Vous avez eu le bac avec mention 'Très Bien', féliciations.\n");
		} else if (note >= 14) {
			printf("Vous avez eu le bac avec mention 'Bien', bon travail.\n");
		} else if (note >= 12) {
			printf("Vous avez eu le bac avec mention 'Assez Bien', satisfaisant.\n");
		} else {
			printf("Vous avez eu le bac sans mention.. Triste.\n");
		}

		return EXIT_SUCCESS;
	} else {
		printf("Format invalide.\n");
		return EXIT_FAILURE;
	}
	return EXIT_SUCCESS;
}

